# Class OjAccordion

The component WebElement for oj-accordion. Do not instantiate this class directly, instead, use ojAccordion.

#### Hierarchy

- OjAccordionBase
  - OjAccordion

#####
Index

### Constructors

constructor

### Methods

changeExpanded
clear
click
findElement
findElements
getAttribute
getCssValue
getDriver
getExpanded
getId
getLocation
getMultiple
getProperty
getRect
getShadowRoot
getSize
getTagName
getText
getTranslations
hasSize
hasVisibility
isDisplayed
isEnabled
isSelected
sendKeys
serialize
setProperty
submit
takeScreenshot
whenBusyContextReady
whenReady
buildId
equals
extractId
isId

## Constructors

### constructor

- new OjAccordion(el, locators): OjAccordion

- Constructor. Pass an instance of WebDriver's WebElement that represents the DOM node on which we"ll perform operations.

  #### Parameters

  - ##### el: WebElement

    The basic WebElement with which this WebElement will work.

  - ##### locators: ElementLocators

  #### Returns OjAccordion

  Inherited from OjAccordionBase.constructor

## Methods

### changeExpanded

- changeExpanded(expanded): Promise<void>

- Sets the value of `expanded` property. A list of expanded child collapsible items.

  #### Parameters

  - ##### expanded: string[] | number[] | object[]

    The value to set for `expanded`

  #### Returns Promise<void>

  Inherited from OjAccordionBase.changeExpanded

### clear

- clear(): Promise<void>

- ### Inherit Doc

  #### Returns Promise<void>

  Inherited from OjAccordionBase.clear

### click

- click(): Promise<void>

- ### Inherit Doc

  #### Returns Promise<void>

  Inherited from OjAccordionBase.click

### findElement

- findElement(locator): WebElementPromise

- ### Inherit Doc

  #### Parameters

  - ##### locator: Locator

  #### Returns WebElementPromise

  Inherited from OjAccordionBase.findElement

### findElements

- findElements(locator): Promise<WebElement[]>

- ### Inherit Doc

  #### Parameters

  - ##### locator: Locator

  #### Returns Promise<WebElement[]>

  Inherited from OjAccordionBase.findElements

### getAttribute

- getAttribute(attributeName): Promise<string>

- ### Inherit Doc

  #### Parameters

  - ##### attributeName: string

  #### Returns Promise<string>

  Inherited from OjAccordionBase.getAttribute

### getCssValue

- getCssValue(cssStyleProperty): Promise<string>

- ### Inherit Doc

  #### Parameters

  - ##### cssStyleProperty: string

  #### Returns Promise<string>

  Inherited from OjAccordionBase.getCssValue

### getDriver

- getDriver(): WebDriver

- #### Returns WebDriver

  The parent driver for this instance.

  Inherited from OjAccordionBase.getDriver

### getExpanded

- getExpanded(): Promise<string[] | number[] | object[]>

- Gets the value of `expanded` property. A list of expanded child collapsible items.

  #### Returns Promise<string[] | number[] | object[]>

  The value of `expanded` property.

  Inherited from OjAccordionBase.getExpanded

### getId

- getId(): Promise<string>

- #### Returns Promise<string>

  A promise that resolves to the server-assigned opaque ID assigned to this element.

  Inherited from OjAccordionBase.getId

### getLocation

- getLocation(): Promise<ILocation>

- ### Inherit Doc

  #### Returns Promise<ILocation>

  Inherited from OjAccordionBase.getLocation

### getMultiple

- getMultiple(): Promise<boolean>

- Gets the value of `multiple` property. Specifies whether multiple collapsible items can be open at the same time.

  #### Returns Promise<boolean>

  The value of `multiple` property.

  Inherited from OjAccordionBase.getMultiple

### getProperty

- getProperty<T>(propertyName): Promise<T>

- Get a named property value from this component. This function will wait for the application's busy context to complete before attempting to get the property value.

  #### Type Parameters

  - #### T = string

  #### Parameters

  - ##### propertyName: string

    The name of the property

  #### Returns Promise<T>

  A Promise that yields a value for the named property.

  Inherited from OjAccordionBase.getProperty

### getRect

- getRect(): Promise<IRectangle>

- ### Inherit Doc

  #### Returns Promise<IRectangle>

  Inherited from OjAccordionBase.getRect

### getShadowRoot

- getShadowRoot(): ShadowRootPromise

- Get the shadow root of the current web element.

  #### Returns ShadowRootPromise

  A promise that will be resolved with the elements shadow root or rejected with NoSuchShadowRootError

  Inherited from OjAccordionBase.getShadowRoot

### getSize

- getSize(): Promise<ISize>

- ### Inherit Doc

  #### Returns Promise<ISize>

  Inherited from OjAccordionBase.getSize

### getTagName

- getTagName(): Promise<string>

- Schedules a command to query for the tag/node name of this element.

  #### Returns Promise<string>

  A promise that will be resolved with the element's tag name.

  Inherited from OjAccordionBase.getTagName

### getText

- getText(): Promise<string>

- ### Inherit Doc

  #### Returns Promise<string>

  Inherited from OjAccordionBase.getText

### getTranslations

- getTranslations(): Promise<object>

- Gets the value of `translations` property. A collection of translated resources from the translation bundle, or null if this component has no resources.

  #### Returns Promise<object>

  The value of `translations` property.

  Inherited from OjAccordionBase.getTranslations

### `Protected` hasSize

- hasSize(): Condition<Promise<boolean>>

- Create a wait condition that is satisfied when the element's DOM has a non-zero size.

  ### Deprecated

  Since 11.0.0. Call the appropriate WebElement method to test the size of the element.

  #### Returns Condition<Promise<boolean>>

  The Condition to be used with driver.wait() that's satisfied when the element's DOM has a non-zero size.

  Inherited from OjAccordionBase.hasSize

### `Protected` hasVisibility

- hasVisibility(): Condition<Promise<boolean>>

- Create a wait condition that is satisfid when the element is visible. The condition is satisfied when the element is displayed, as reported by #isDisplayed, and is scrolled into view. This is method is deprecated. Use WebElement.isDisplayed instead to test the display of the element, and scroll it into view if necessary.

  ### Deprecated

  #### Returns Condition<Promise<boolean>>

  Inherited from OjAccordionBase.hasVisibility

### isDisplayed

- isDisplayed(): Promise<boolean>

- ### Inherit Doc

  #### Returns Promise<boolean>

  Inherited from OjAccordionBase.isDisplayed

### isEnabled

- isEnabled(): Promise<boolean>

- ### Inherit Doc

  #### Returns Promise<boolean>

  Inherited from OjAccordionBase.isEnabled

### isSelected

- isSelected(): Promise<boolean>

- ### Inherit Doc

  #### Returns Promise<boolean>

  Inherited from OjAccordionBase.isSelected

### sendKeys

- sendKeys(...varArgs): Promise<void>

- ### Inherit Doc

  #### Parameters

  - ##### `Rest` ...varArgs: (string | number | Promise<string | number>)[]

  #### Returns Promise<void>

  Inherited from OjAccordionBase.sendKeys

### serialize

- serialize(): Promise<IWebElementId>

- #### Returns Promise<IWebElementId>

  Inherited from OjAccordionBase.serialize

### `Protected` setProperty

- setProperty<T>(propertyName, value): Promise<void>

- Set a property value on the remote element. This function first waits for the BusyContext to clear before setting the property, then after setting, waits again to ensure that no additional busy states were created due to the property setting.

  #### Type Parameters

  - #### T = string

  #### Parameters

  - ##### propertyName: string

    The property name to set

  - ##### value: T

    The value to set for the property

  #### Returns Promise<void>

  A Promise which resolves when the remote property has been set to the value. Any value returned from the call to set the remote property is returned in the Promise.

  Inherited from OjAccordionBase.setProperty

### submit

- submit(): Promise<void>

- ### Inherit Doc

  #### Returns Promise<void>

  Inherited from OjAccordionBase.submit

### takeScreenshot

- takeScreenshot(optScroll?): Promise<string>

- ### Inherit Doc

  #### Parameters

  - ##### `Optional` optScroll: boolean

  #### Returns Promise<string>

  Inherited from OjAccordionBase.takeScreenshot

### whenBusyContextReady

- whenBusyContextReady(): Promise<void>

- Returns a Promise that is resolved when the application's busy state reports ready. This method checks only that the application's busy context is ready, and not that the DOM element is actually displayed or has a physical size, such as is the case with #whenReady. Operations which are read-only in nature should call this method prior to execution.

  #### Returns Promise<void>

  A Promise which is resolved when the page's busy state is ready.

  Inherited from OjAccordionBase.whenBusyContextReady

### whenReady

- whenReady(): Promise<void>

- Returns a Promise that is resolved when the element is ready for interaction--it is visible, has a size, and the app's busy context is ready. Operations on the DOM which rely on its physical location and size to be in a "ready" state should use this command, such as clicking, sending keys, locating child elements, and so on.

  #### Returns Promise<void>

  A Promise that's resolved when all conditions are met.

  Inherited from OjAccordionBase.whenReady

### `Static` buildId

- buildId(id, opt_noLegacy?): IWebElementId

- #### Parameters

  - ##### id: string

    The raw ID.

  - ##### `Optional` opt_noLegacy: boolean

    Whether to exclude the legacy element key.

  #### Returns IWebElementId

  The element ID for use with WebDriver's wire protocol.

  Inherited from OjAccordionBase.buildId

### `Static` equals

- equals(a, b): Promise<boolean>

- Compares two WebElements for equality.

  #### Parameters

  - ##### a: WebElement

    A WebElement.

  - ##### b: WebElement

    A WebElement.

  #### Returns Promise<boolean>

  A promise that will be resolved to whether the two WebElements are equal.

  Inherited from OjAccordionBase.equals

### `Static` extractId

- extractId(obj): string

- Extracts the encoded WebElement ID from the object.

  ### Throws

  if the object is not a valid encoded ID.

  #### Parameters

  - ##### obj: IWebElementId

    The object to extract the ID from.

  #### Returns string

  the extracted ID.

  Inherited from OjAccordionBase.extractId

### `Static` isId

- isId(obj): boolean

- #### Parameters

  - ##### obj: IWebElementId

    the object to test.

  #### Returns boolean

  whether the object is a valid encoded WebElement ID.

  Inherited from OjAccordionBase.isId

Generated using TypeDoc